import { ThemeProvider } from "@rneui/themed";
import React from "react";
import { lightTheme } from "./src/components/Theme";
import { Routes } from "./src/routes";
import { UserProvider } from "./src/services/hooks/useUser";
import firebase from 'firebase/app';
import 'firebase/firestore';

firebase.initializeApp({
	apiKey: "AIzaSyDQjF_eQb75v6COnE88f3xBB9RDnXCiWj4",
	authDomain: "meu-mundo-azul.firebaseapp.com",
	projectId: "meu-mundo-azul",
	storageBucket: "meu-mundo-azul.appspot.com",
	messagingSenderId: "703396626779",
	appId: "1:703396626779:web:51a625561adc94780a1a7e"
});

export default function App() {
  return (
    <UserProvider>
      <ThemeProvider theme={lightTheme}>
        <Routes />
      </ThemeProvider>
    </UserProvider>
  );
}
