export interface PatientDiaryEntriesParams {
  id: number;
  text?: string;
}
export interface DiaryDayParams {
  date: string;
  text?: String;
}

export interface ChatParams {
  id?: number;
  name?: string;
}
export declare global {
  namespace ReactNavigation {
    interface RootParamList {
      Login: undefined;
      Cadastrar: undefined;
      Home: undefined;
      TabScreens: {
        screen: string;
        initial: boolean;
      };
      Checklist: undefined;
      ChecklistInfo: undefined;
      TalkToSpecialist: undefined;
      SpecialistDetails: {
        specialistId: string;
        specialistName: string;
        specialistDescription: string;
      };
      SpecialistContact: undefined;
      PatientDiaryCalendar: undefined;
      PatientDiaryEntries: PatientDiaryEntriesParams;
      PatientDiaryDaySpecialist: DiaryDayParams;
      PatientDiaryDay: DiaryDayParams;
      Resultado: undefined;
      EditUserInfo: undefined;
      EditDescription: undefined;
      InfoPage: undefined;
      Chat: ChatParams;
      ChatList: undefined;
      //DiaryDayExample: DiaryDayParams;
      ChecklistInfo: undefined;
      Checklist: undefined;
      ClinicRegistration: undefined;
    }
  }
}
