import Toast from 'react-native-root-toast';

export function callToast(message: string) {
  let toast = Toast.show(message, {
    duration: Toast.durations.LONG,
    position: Toast.positions.BOTTOM,
    shadow: true,
    animation: true,
    hideOnPress: true,
    delay: 0,
    containerStyle: { backgroundColor: "#222324" },
  });
  setTimeout(function () {
    Toast.hide(toast);
  }, 1500);
}